<?php
/*
Plugin Name: Piwigo AutoUpgrade
Version: 2.2.d
Description: Upgrade your gallery automatically.
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=302
Author: P@t
Author URI: http://www.gauchon.com
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('AUTOUPDATE_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');

global $conf;
$conf['AU_ignore'] = unserialize($conf['autoupdate_ignore_list']);

// Upgrade?
if (!isset($conf['AU_ignore']['plugins']))
{
  $conf['AU_ignore'] = array('plugins'=>array(),'themes'=>array(),'languages'=>array());
  conf_update_param('autoupdate_ignore_list', pwg_db_real_escape_string(serialize($conf['AU_ignore'])));
}

add_event_handler('get_admin_plugin_menu_links', 'check_for_auto_upgrade');
add_event_handler('ws_add_methods', 'add_ws_autoupdate_methods');

function check_for_auto_upgrade($plugin_menu_links)
{
  global $template, $page, $header_notes;

  if ($page['page'] == 'intro')
  {
    if (isset($_GET['action']) and 
      ($_GET['action'] == 'check_autoupdate' or $_GET['action'] == 'check_upgrade' ))
    {
      unset($_SESSION['need_update']);
      unset($_SESSION['extensions_need_update']);
    }

    if (!isset($_SESSION['need_update']) or !isset($_SESSION['extensions_need_update'])
      or $_SESSION['need_update'] !== false or $_SESSION['extensions_need_update'] !== array())
    {
      load_language('plugin.lang', dirname(__FILE__).'/');
      $template->set_filename('autoupdate_head', realpath(AUTOUPDATE_PATH.'template/head.tpl'));
      array_push($header_notes, $template->parse('autoupdate_head', true));
    }
  }

  array_push($plugin_menu_links, array(
    'NAME' => 'Piwigo AutoUpgrade',
    'URL' => get_root_url().'admin.php?page=plugin-'.basename(dirname(__FILE__))
    )
  );

  return $plugin_menu_links;
}

function add_ws_autoupdate_methods($arr)
{
  include_once(AUTOUPDATE_PATH.'ws_functions.inc.php');
}
?>